Bug 446323 - kdebase-libs conflicts with f8 kdebase4
kdebase-libs conflicts with f8 kdebase4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 23:27 EDT by Peter Jackson
Modified: 2008-06-08 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-08 06:28:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Jackson 2008-05-13 23:27:46 EDT
Description of problem:
yumex update fails the final transaction check (after download).

11:23:56 : Transaction Check Error:   file /usr/lib/libdolphinprivate.so.4.0.0
from install of kdebase-libs-4.0.3-9.fc9.i386 conflicts with file from package
kdebase4-4.0.3-9.fc8.i386
  file /usr/lib/libkonq.so.5.0.0 from install of kdebase-libs-4.0.3-9.fc9.i386
conflicts with file from package kdebase4-4.0.3-9.fc8.i386
  file /usr/lib/libkonqsidebarplugin.so.4.0.0 from install of
kdebase-libs-4.0.3-9.fc9.i386 conflicts with file from package
kdebase4-4.0.3-9.fc8.i386
  file /usr/lib/libkonquerorprivate.so.4.0.0 from install of
kdebase-libs-4.0.3-9.fc9.i386 conflicts with file from package
kdebase4-4.0.3-9.fc8.i386

Version-Release number of selected component (if applicable):


How reproducible:
Install fedora 8 with kdebase4 package(s?)
Upgrade using yumex, or I assume yum.

  
Actual results:
Transaction check fails due to file conflicts.

Expected results:
Obsolete package removed.

Additional info:
Comment 1 Kevin Kofler 2008-05-13 23:33:42 EDT
kdebase4 is supposed to be obsoleted by kdebase, why is it still there when you 
try to do a global update? Is yumex maybe not processing Obsoletes by default?
Comment 2 Peter Jackson 2008-05-13 23:44:48 EDT
(In reply to comment #1)
> kdebase4 is supposed to be obsoleted by kdebase, why is it still there when you 
> try to do a global update? Is yumex maybe not processing Obsoletes by default?

I agree, but most obsoletes are being processed. It may be a result of this
being an i386 package on a x86-64 platform. I did not have the same problem with
x86-64 versions of the same packages.
Comment 3 Rex Dieter 2008-05-14 10:47:35 EDT
kdebase does  include
Obsoletes: kdebase4 < %version-%release
if that isn't getting processed by rpm/yum, wierdness.

Can you try just a plain
yum update
and post the results here?
Comment 4 Rex Dieter 2008-05-14 10:48:38 EDT
Oh, and
rpm -q yum
while you're at it.
Comment 5 Brennan Ashton 2008-06-07 21:11:01 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Peter Jackson 2008-06-08 00:57:18 EDT
No, I can't, I upgraded with more aggressive approach, since I actually wanted
to have an upgraded computer.

Sorry. I'll leave you to close this bug, as you suggested.

Note You need to log in before you can comment on or make changes to this bug.